ros-rolling-examples-rclcpp-minimal-action-client (0.21.3-1noble) noble; urgency=high

  * get rid of deprecated rclcpp::spin_some(). (#422 <https://github.com/ros2/examples//issues/422>)
  * Contributors: Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Oct 2025 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.21.2-1noble) noble; urgency=high

  * Fix CMAKE deprecation (#419 <https://github.com/ros2/examples/issues/419>)
  * Contributors: mosfet80

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Jul 2025 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.21.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 30 Jun 2025 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Apr 2025 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.20.5-1noble) noble; urgency=high

  * Use target_link_libraries instead of ament_target_dependencies (#404 <https://github.com/ros2/examples/issues/404>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Apr 2025 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.20.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 19 Dec 2024 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.20.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2024 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.20.2-1noble) noble; urgency=high

  * Removed outdated comment (#388 <https://github.com/ros2/examples/issues/388>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 28 Jul 2024 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.20.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 16 Jun 2024 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.20.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2024 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.19.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.19.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.19.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.19.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.18.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.17.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.17.0-1noble) noble; urgency=high

  * Update the examples to C++17. (#353 <https://github.com/ros2/examples/issues/353>)
  * [rolling] Update maintainers - 2022-11-07 (#352 <https://github.com/ros2/examples/issues/352>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.16.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.16.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.16.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.15.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.14.0-1noble) noble; urgency=high

  * Updated maintainers (#329 <https://github.com/ros2/examples/issues/329>)
  * Contributors: Aditya Pande

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.13.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.12.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Aug 2021 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.11.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.11.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Apr 2021 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.11.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.10.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.10.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.10.1-1noble) noble; urgency=high

  * Update maintainers (#292 <https://github.com/ros2/examples/issues/292>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.10.0-1noble) noble; urgency=high

  * Update goal response callback signature (#291 <https://github.com/ros2/examples/issues/291>)
  * Make sure to include what you use in all examples. (#284 <https://github.com/ros2/examples/issues/284>)
  * Added common linters (#265 <https://github.com/ros2/examples/issues/265>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.9.1-1noble) noble; urgency=high

  * Fixed action_client sequence type (#268 <https://github.com/ros2/examples/issues/268>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.9.0-1noble) noble; urgency=high

  * avoid new deprecations (#267 <https://github.com/ros2/examples/issues/267>)
  * Restructure rclcpp folders (#264 <https://github.com/ros2/examples/issues/264>)
  * Contributors: Marya Belanger, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.8.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.7.3-1noble) noble; urgency=high

  * Use action client get result method (#245 <https://github.com/ros2/examples/issues/245>)
    Since a result callback is not provided when sending the goal, the goal handle is not "result aware"
    and calling the action client method will make it so.
    The behaviour was changed in https://github.com/ros2/rclcpp/pull/701.
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.7.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.7.1-1noble) noble; urgency=high

  * Avoid deprecated API's by providing history settings (#240 <https://github.com/ros2/examples/issues/240>)
  * Add rclcpp action examples using member functions
  * Use options struct when action client sends a goal
  * Contributors: Jacob Perron, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.7.0-1noble) noble; urgency=high

  * Updated to use separated action types. (#227 <https://github.com/ros2/examples/issues/227>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.6.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Feb 2019 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.6.1-1noble) noble; urgency=high

  * Rclcpp action examples (#220 <https://github.com/ros2/examples/issues/220>)
    * Add minimal_action_server package
    Contains a non-composable implementation with global variables.
    * Add minimal_action_client package
    Contains a non-composable implementation.
    * Add action client example with feedback
    * async python action client example
    * goal -> future
    * fibb -> fib"
    * Syncronous action client example
    * No break statement
    * Update client examples to use separate rcl_action package
    * Add ClientGoalHandle to action client examplesj
    * Add action client with cancel example
    * python non-composable server example
    * [wip] Update action server cpp example
    * remove unnecessary event
    * create_action_server -> ActionServer
    * missing paren
    * Add example of multiple goals in parallel
    * No need for lock
    * Reentrant callback group for execute
    * create_action_client -> ActionClient
    * Fix copyright date
    * )
    * -)
    * Refactor action server cpp example
    * Fix action server cpp example
    Seed the fibonacci sequence and remove const.
    * Fix action server cpp example
    Forgot to increment in Fibonacci sequence loop.
    * Syntax fixes
    * node -> self
    * handle cb returns accept or reject
    * Update action client cpp example
    Return goal handle (containing future) when sending a goal.
    * Preempt goals
    * whitespace removal
    * execute returns result
    * Add missing resources
    * Syntax error
    * Add rcl_action dependency
    * Update maintainer
    * Use goal message getter and alias ResultResponse type
    * Make minimal_action_server work with rclcpp_action
    * Client and server communicate
    * handle_execute -> handle_accepted
    * Check if goal was rejected by server
    * Update example to check result
    * action client cancel example C++ works
    * misc changes to compile
    * misc client api changes
    * Remove python examples
    * Wait for action server
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Nov 2018 23:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.5.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jun 2018 22:00:00 -0000

ros-rolling-examples-rclcpp-minimal-action-client (0.4.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Dec 2017 23:00:00 -0000


